> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ideogram 구버전

> Ideogram 구버전 API를 사용한 이미지 생성, 리믹스, 업스케일, 설명

> 업데이트: 2026-06-06

# Ideogram 구버전

Ideogram 구버전 API는 기본적인 이미지 생성 기능을 제공합니다.

<Note>
  더 나은 생성 결과를 얻으려면 [Ideogram V3](/ko/images/ideogram/v3)를 사용하는 것을 권장합니다.
</Note>

## 이미지 생성

```
POST /ideogram/generate
```

### 요청 파라미터

| 파라미터                                | 유형     | 필수  | 설명                        |
| ----------------------------------- | ------ | --- | ------------------------- |
| `image_request`                     | object | 예   | 이미지 요청 객체                 |
| `image_request.prompt`              | string | 예   | 프롬프트                      |
| `image_request.model`               | string | 아니오 | 모델 버전: `V_2`, `V_2_TURBO` |
| `image_request.aspect_ratio`        | string | 아니오 | 종횡비                       |
| `image_request.magic_prompt_option` | string | 아니오 | 프롬프트 강화                   |
| `image_request.style_type`          | string | 아니오 | 스타일 유형                    |
| `image_request.negative_prompt`     | string | 아니오 | 네거티브 프롬프트                 |

### 요청 예시

```bash cURL theme={null}
curl -X POST https://api.crazyrouter.com/ideogram/generate \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "image_request": {
      "prompt": "A futuristic cityscape at night with neon lights",
      "model": "V_2",
      "aspect_ratio": "ASPECT_16_9",
      "magic_prompt_option": "AUTO"
    }
  }'
```

### 응답 예시

```json theme={null}
{
  "created": 1709123456,
  "data": [
    {
      "url": "https://ideogram.ai/assets/image/...",
      "prompt": "A futuristic cityscape at night with neon lights",
      "resolution": "1344x768",
      "seed": 67890
    }
  ]
}
```

***

## Remix 리믹스

```
POST /ideogram/remix
```

참조 이미지를 기반으로 변형을 생성합니다.

```bash cURL theme={null}
curl -X POST https://api.crazyrouter.com/ideogram/remix \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "image_request": {
      "prompt": "Same scene in anime style",
      "model": "V_2"
    },
    "image_file": "https://example.com/photo.jpg"
  }'
```

***

## 이미지 업스케일

```
POST /ideogram/upscale
```

이미지를 더 높은 해상도로 업스케일합니다.

```bash cURL theme={null}
curl -X POST https://api.crazyrouter.com/ideogram/upscale \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "image_request": {
      "prompt": "high quality detailed image"
    },
    "image_file": "https://example.com/photo.jpg"
  }'
```

***

## 이미지 설명

```
POST /ideogram/describe
```

모델이 이미지 내용을 설명하고 그에 대응하는 프롬프트를 생성하도록 합니다.

```bash cURL theme={null}
curl -X POST https://api.crazyrouter.com/ideogram/describe \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "image_file": "https://example.com/photo.jpg"
  }'
```

### 응답 예시

```json theme={null}
{
  "descriptions": [
    {
      "text": "A futuristic cityscape at night with vibrant neon lights reflecting off wet streets, tall skyscrapers with holographic advertisements"
    }
  ]
}
```
